name: zlib
version: 0.6.2.1
id: zlib-0.6.2.1-EiCuzWuUbh1FOATBAoeQ3G
key: zlib-0.6.2.1-EiCuzWuUbh1FOATBAoeQ3G
license: BSD-3-Clause
copyright: (c) 2006-2016 Duncan Coutts
maintainer: Duncan Coutts <duncan@community.haskell.org>
author: Duncan Coutts <duncan@community.haskell.org>
synopsis: Compression and decompression in the gzip and zlib formats
description:
    This package provides a pure interface for compressing and
    decompressing streams of data represented as lazy
    'ByteString's. It uses the
    <https://en.wikipedia.org/wiki/Zlib zlib C library>
    so it has high performance. It supports the \"zlib\",
    \"gzip\" and \"raw\" compression formats.
    .
    It provides a convenient high level API suitable for most
    tasks and for the few cases where more control is needed it
    provides access to the full zlib feature set.
category: Codec
abi: 6b20019aae207fdeb3947de42c7da960
exposed: True
exposed-modules:
    Codec.Compression.GZip Codec.Compression.Zlib
    Codec.Compression.Zlib.Internal Codec.Compression.Zlib.Raw
hidden-modules: Codec.Compression.Zlib.Stream
import-dirs: /usr/local/lib/ghc/zlib-0.6.2.1
library-dirs: /usr/local/lib/ghc/zlib-0.6.2.1
dynamic-library-dirs: /usr/local/lib/ghc/zlib-0.6.2.1
data-dir: /usr/local/share/hs-zlib-0.6.2.1
hs-libraries: HSzlib-0.6.2.1-EiCuzWuUbh1FOATBAoeQ3G
extra-libraries:
    z
includes:
    zlib.h
depends:
    base-4.12.0.0 bytestring-0.10.8.2
haddock-interfaces: /usr/local/share/doc/hs-zlib-0.6.2.1/html/zlib.haddock
haddock-html: /usr/local/share/doc/hs-zlib-0.6.2.1/html
